Author Topic: Change Multileader Defined Height  (Read 11955 times)

0 Members and 2 Guests are viewing this topic.

Dave M

  • Newt
  • Posts: 196
Change Multileader Defined Height
« on: January 08, 2019, 03:36:15 PM »
I'm revising a dwg that I didn't create.  There are alot of mleaders, and the box for the mtext seems to be the same for all of them.  Many are one line of text, or hard wrapped multi-line, but the box is much larger than needed.  This creates a problem when masking because the mask it too large.  I have tried double-clicking the ruler to shrink the box, but it reverts back to the original height when I exit the command.


I don't see a "defined height" setting in the properties window like with mtext.


If anyone has a good solution to fix this, I would love to know what it is.
Civil 3D 2018 - Microstation SS4 - Windows 10 - Dropbox

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #1 on: January 08, 2019, 04:20:58 PM »
Have you tried selecting them all and changing the text width to 0?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Dave M

  • Newt
  • Posts: 196
Re: Change Multileader Defined Height
« Reply #2 on: January 08, 2019, 05:59:45 PM »
Have you tried selecting them all and changing the text width to 0?


Yes, and the width will hold, but not the height of the box.  Probably should have said I'm using 2018 in my OP
Civil 3D 2018 - Microstation SS4 - Windows 10 - Dropbox

Bryco

  • Water Moccasin
  • Posts: 1882
Re: Change Multileader Defined Height
« Reply #3 on: January 14, 2019, 08:10:57 PM »
Does quick select mleaders then change the landing gap in the properties window help?

Dave M

  • Newt
  • Posts: 196
Re: Change Multileader Defined Height
« Reply #4 on: January 16, 2019, 11:52:08 AM »
Does quick select mleaders then change the landing gap in the properties window help?


I can quick select the multileaders and adjust their landing gap distance, but that doesn't do anything for the height of the text box portion.  If you select an mtext object and look at the properties, one of them will be defined height.  But if you select an mleader object and look at its properties defined height is not an option.


The only thing that seems to be working is to select a lower grip and snap it to a top grip. Sigh
Civil 3D 2018 - Microstation SS4 - Windows 10 - Dropbox

cadtag

  • Swamp Rat
  • Posts: 1152
Re: Change Multileader Defined Height
« Reply #5 on: January 16, 2019, 03:49:19 PM »
Thats' been irritating me for a while now.  I'm glad you found a fix, even if it is one at a time.  thanks!
The only thing more dangerous to the liberty of a free people than big government is big business

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #6 on: January 16, 2019, 04:54:44 PM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )
« Last Edit: January 16, 2019, 04:59:03 PM by ronjonp »

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Dave M

  • Newt
  • Posts: 196
Re: Change Multileader Defined Height
« Reply #7 on: January 17, 2019, 02:44:17 PM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )


Thanks ronjop!


So far it seems to working well.  The only thing I can think that would make it better is if it could shrink to the extents of the text.  I don't code so I appreciate any help I can get.  I suspect the files I'm working on were converted from Microstation or another platform.


Thanks, again!
Civil 3D 2018 - Microstation SS4 - Windows 10 - Dropbox

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #8 on: January 17, 2019, 04:13:26 PM »
Maybe post a sample drawing. The grips wrap to text on my drawing.

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

kdub_nz

  • Mesozoic keyThumper
  • SuperMod
  • Water Moccasin
  • Posts: 2111
  • class keyThumper<T>:ILazy<T>
Re: Change Multileader Defined Height
« Reply #9 on: January 17, 2019, 05:13:14 PM »

Ron,
when the dust settles ... is there a story behind that leader text quote ??

Regards,
Called Kerry in my other life
Retired; but they dragged me back in !

I live at UTC + 13.00

---
some people complain about loading the dishwasher.
Sometimes the question is more important than the answer.

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #10 on: January 18, 2019, 09:01:07 AM »

Ron,
when the dust settles ... is there a story behind that leader text quote ??

Regards,
No story .. sometimes the hamster falls off the wheel and unexpected results occur :).

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

netelaana

  • Mosquito
  • Posts: 1
Re: Change Multileader Defined Height
« Reply #11 on: June 01, 2020, 11:24:42 AM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )

you have no idea how many hours of tedium you just saved. Thanks!

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #12 on: June 01, 2020, 12:32:27 PM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )

you have no idea how many hours of tedium you just saved. Thanks!

Glad to help!  :-)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Mau Cabrera

  • Mosquito
  • Posts: 3
Re: Change Multileader Defined Height
« Reply #13 on: May 25, 2021, 10:13:04 AM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )


Yeah, I'm that kind of CAD user who will get unbearably bothered by things that don't really matter that much such as mleader grips that are lower than the actual text box.

You just saved me so much time with your gorgeous routine. Thank you endlessly.

ronjonp

  • Needs a day job
  • Posts: 7524
Re: Change Multileader Defined Height
« Reply #14 on: May 25, 2021, 10:22:32 AM »
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.
Code - Auto/Visual Lisp: [Select]
  1. (defun c:foo (/ s)
  2.   ;; RJP » 2019-01-16
  3.   ;; Reset mleader textbox height
  4.   (if (setq s (ssget ":L" '((0 . "multileader"))))
  5.     (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
  6.       (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))
  7.     )
  8.   )
  9.   (princ)
  10. )


Yeah, I'm that kind of CAD user who will get unbearably bothered by things that don't really matter that much such as mleader grips that are lower than the actual text box.

You just saved me so much time with your gorgeous routine. Thank you endlessly.
Glad you can use it :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC